# Interface WritableOptions

interface WritableOptions {
autoDestroy?: boolean;
decodeStrings?: boolean;
defaultEncoding?: BufferEncoding;
emitClose?: boolean;
highWaterMark?: number;
objectMode?: boolean;
signal?: AbortSignal;
construct?(this, callback): void;
destroy?(this, error, callback): void;
final?(this, callback): void;
write?(this, chunk, encoding, callback): void;
writev?(this, chunks, callback): void;
}

#### Hierarchy (view full)

- StreamOptions<Writable>
  - WritableOptions
    - DuplexOptions

- Defined in node_modules/@types/node/stream.d.ts:986

#####
Index

### Properties

autoDestroy?
decodeStrings?
defaultEncoding?
emitClose?
highWaterMark?
objectMode?
signal?

### Methods

construct?
destroy?
final?
write?
writev?

## Properties

### `Optional` autoDestroy

autoDestroy?: boolean

Inherited from StreamOptions.autoDestroy

- Defined in node_modules/@types/node/stream.d.ts:960

### `Optional` decodeStrings

decodeStrings?: boolean

- Defined in node_modules/@types/node/stream.d.ts:987

### `Optional` defaultEncoding

defaultEncoding?: BufferEncoding

- Defined in node_modules/@types/node/stream.d.ts:988

### `Optional` emitClose

emitClose?: boolean

Inherited from StreamOptions.emitClose

- Defined in node_modules/@types/node/stream.d.ts:955

### `Optional` highWaterMark

highWaterMark?: number

Inherited from StreamOptions.highWaterMark

- Defined in node_modules/@types/node/stream.d.ts:956

### `Optional` objectMode

objectMode?: boolean

Inherited from StreamOptions.objectMode

- Defined in node_modules/@types/node/stream.d.ts:957

### `Optional` signal

signal?: AbortSignal

When provided the corresponding `AbortController` can be used to cancel an asynchronous action.

Inherited from StreamOptions.signal

- Defined in node_modules/@types/node/events.d.ts:486

## Methods

### `Optional` construct

- construct(this, callback): void

- #### Parameters

  - this: Writable
  - callback: ((error?) => void)
    - - (error?): void

      - #### Parameters

        - `Optional` error: null | Error

        #### Returns void

  Inherited from StreamOptions.construct

  - Defined in node_modules/@types/node/stream.d.ts:958

### `Optional` destroy

- destroy(this, error, callback): void

- #### Parameters

  - this: Writable
  - error: null | Error
  - callback: ((error?) => void)
    - - (error?): void

      - #### Parameters

        - `Optional` error: null | Error

        #### Returns void

  Inherited from StreamOptions.destroy

  - Defined in node_modules/@types/node/stream.d.ts:959

### `Optional` final

- final(this, callback): void

- #### Parameters

  - this: Writable
  - callback: ((error?) => void)
    - - (error?): void

      - #### Parameters

        - `Optional` error: null | Error

        #### Returns void

  - Defined in node_modules/@types/node/stream.d.ts:1003

### `Optional` write

- write(this, chunk, encoding, callback): void

- #### Parameters

  - this: Writable
  - chunk: any
  - encoding: BufferEncoding
  - callback: ((error?) => void)
    - - (error?): void

      - #### Parameters

        - `Optional` error: null | Error

        #### Returns void

  - Defined in node_modules/@types/node/stream.d.ts:989

### `Optional` writev

- writev(this, chunks, callback): void

- #### Parameters

  - this: Writable
  - chunks: {
    chunk: any;
    encoding: BufferEncoding;
    }[]
  - callback: ((error?) => void)
    - - (error?): void

      - #### Parameters

        - `Optional` error: null | Error

        #### Returns void

  - Defined in node_modules/@types/node/stream.d.ts:995